Subject: Re: bug#61704: 29.0.60; Crash in get_narrowed_begv

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Feb 2023 15:47:05 +0200

> Date: Wed, 22 Feb 2023 13:40:41 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> 
> >>> How can len possibly be 0 at that point?  It is (in short)
> >
> > Because the pixel width of W is less than its frame's column width. The 
> > division performed window_body_width is truncating, i.e:
> >
> >  24 / 25 = 0
> >
> > and I suspect the actual width being divded at that point is less than 
> > w->pixel_width, since that window had fringes.
> >
> 
> In that case it's a bug in window_body_width I guess, which should do
> 
> /* Don't return a non-positive value.  */
> return max (width / denom, 1);

I won't object to that, if Martin agrees.  But the protection I
installed should IMO remain there, just in case.